function loadOsList(val)
{
    var link = createLink('vm', 'ajaxGetOsList', 'osCategory=' + val);
    $.post(link, function(data)
    {
        $('#osType').replaceWith(data);
        $('#osType_chosen').remove();
        $('#osType').chosen();
        changeOs();
    });
}

function changeOs()
{
    var osCategory = $('#osCategory').val();
    var osType = $('#osType').val();
    var link = createLink('vm', 'ajaxGetBaseImageList', 'osCategory=' + osCategory + '&osType=' + osType);
    $.post(link, function(data)
    {
        $('#baseImageID').replaceWith(data);
        $('#baseImageID_chosen').remove();
        $('#baseImageID').chosen();
    })

    var link = createLink('vm', 'ajaxGetVmTemplateList', 'osCategory=' + osCategory + '&osType=' + osType);
    $.post(link, function(data)
    {
        $('#vmTemplateID').replaceWith(data);
        $('#vmTemplateID_chosen').remove();
        $('#vmTemplateID').chosen();
    })
}

function ajaxAction(url, replaceID, notice)
{
    if(confirm(notice))
    {
        $.ajax(
        {
            type: 'GET',
            url: url,
            dataType: 'json',
            success: function(data)
            {
                if(data.result == 'success')
                {
                    $.zui.messager.success(data.message);
                }
                else if(data.result == 'fail' && typeof(data.message) == 'string')
                {
                    bootbox.alert(data.message);
                }
            }
        });
    }
}
